Home
Home
  1. πŸ“‘ Endpoints
  • πŸš€ Getting Started
  • πŸ”Ž Screening API
    • Overview
    • Blacklist Matching Logic
    • πŸ“‘ Endpoints
      • Blockchain Analysis
      • Individuals Analysis
      • Organizations Analysis
      • Screening Entities Summary Analysis
      • Create BlackList
      • Get All BlackList Records
      • Get Blacklist Record by ID
      • Delete Blacklist Record by ID
      • Update Blacklist Record by ID
      • Update Blacklist Settings Account
  • 🌊 Flow API
    • Overview
    • Flow Step: Identity Verification
    • Flow Step: Onboarding Individual
    • Flow Step: Onboarding Organization
    • πŸ“‘ Endpoints
      • Authentication token
      • Get Flow Instances
      • Get Flow Instance By Id
      • Get File from Flow Instance
      • Identity: Get Details
      • Identity: Get Files
      • Identity: Update Status
      • Onboarding: Get Details
      • Onboarding: Get File
      • Onboarding: Get Multiple Files
      • Onboarding: Update Status
      • Onboarding: Get Entity by document number
      • Onboarding: Get Entity List by document number
    • πŸ“€ Webhooks
      • Overview
      • Flow
      • Identity Verification
      • Onboarding Individual
      • Onboarding Organizations
      • Identity Verification by Onboarding
  • πŸ’ΈTransaction Screening API
    • πŸ”‘ Authentication
    • Overview
    • Transaction Analysis
    • Monitoring & History
    • Document Types
    • Supported Currencies
    • Diagram
    • πŸ“€ Webhooks
    • πŸ“‘ Endpoints
      • Submit Transaction
        POST
      • List Transactions
        GET
      • List Document types
        GET
      • List Cryptocurrencies
        GET
      • Register remitter
        POST
      • Register Beneficiary
        POST
  • πŸ“‚ Resources
    • Concept Details
    • Enum Validation
Home
Home
  1. πŸ“‘ Endpoints

Register remitter

POST
https://app.rillis.io/api/v1/verification/create-remitter
This endpoint registers a new Remitter (Sender) in the Rillis system. It is designed to facilitate user onboarding by allowing you to validate and store entity data (Person, Company, or Crypto Wallet) independently of a transaction.

Request

Body Params application/json

Examples

Responses

🟒201OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://app.rillis.io/api/v1/verification/create-remitter' \
--header 'Content-Type: application/json' \
--data-raw '{
    "client_id": "your_client_id",
    "client_secret": "your_client_secret",
    "external_id": "your_external_id",
    "entity_type": "COMPANY",
    "legal_person": {
        "company_data": {
            "company_name": "REPRESENTACIONES SULBARAN SPA",
            "sector": "servicio administrativos,informaticos y recursos humanos",
            "kind_of_society": "Sociedad por Acciones (SpA)",
            "constitution_date": 1663210800000,
            "country_constitution": "CHL",
            "email": "sad@sd.cl",
            "short_description": "ACTIVIDADES COMBINADAS DE SERVICIOS ADMINISTRATIVOS DE OFICINA",
            "document_type": "CL-RUT",
            "identification_number": "776384682",
            "address": "oficina n 117,calle merced 838-A",
            "phone": "938724408",
            "company_usd_monthly_income": 5000,
            "monthly_amount_operate": 5000,
            "financial_patrimony": 5000,
            "total_patrimony": 5000,
            "source_funds": "Inversiones"
        },
        "legal_representative": [
            {
                "external_id": "AWC228232",
                "first_name": "nicolas",
                "last_name": "maduro",
                "identification_number": "256344882",
                "is_pep": false,
                "address": "tucapel jimenez 76",
                "city": "SANTIAGO",
                "country": "CHL",
                "issuing_country": "CHL"
            },
            {
                "external_id": "AWC228232",
                "first_name": "nicolas",
                "last_name": "maduro",
                "identification_number": "256344882",
                "is_pep": false,
                "address": "tucapel jimenez 76",
                "city": "SANTIAGO",
                "country": "CHL",
                "issuing_country": "CHL"
            }
        ],
        "final_beneficiaries": [
            {
                "external_id": "AWC316362",
                "first_name": "MICHAEL EMMANUEL",
                "last_name": "BARRIO PEREZ",
                "identification_number": "256344882",
                "is_pep": false,
                "address": "tucapel jimenez 76",
                "city": "SANTIAGO",
                "country": "CHL",
                "participation": 100,
                "issuing_country": "CHL"
            },
            {
                "external_id": "AWC316362",
                "first_name": "MICHAEL EMMANUEL",
                "last_name": "BARRIO PEREZ",
                "identification_number": "256344882",
                "is_pep": false,
                "address": "tucapel jimenez 76",
                "city": "SANTIAGO",
                "country": "CHL",
                "participation": 100,
                "issuing_country": "CHL"
            }
        ],
        "people_effective_control": [
            {
                "external_id": "AWC33202",
                "first_name": "MICHAEL EMMANUEL",
                "last_name": "BARRIO PEREZ",
                "identification_number": "256344882",
                "is_pep": false,
                "address": "tucapel jimenez 76",
                "city": "SANTIAGO",
                "country": "CHL",
                "participation": 100,
                "issuing_country": "CHL"
            },
            {
                "external_id": "AWC33202",
                "first_name": "MICHAEL EMMANUEL",
                "last_name": "BARRIO PEREZ",
                "identification_number": "256344882",
                "is_pep": false,
                "address": "tucapel jimenez 76",
                "city": "SANTIAGO",
                "country": "CHL",
                "participation": 100,
                "issuing_country": "CHL"
            },
            {
                "external_id": "AWC33202",
                "first_name": "MICHAEL EMMANUEL",
                "last_name": "BARRIO PEREZ",
                "identification_number": "256344882",
                "is_pep": false,
                "address": "tucapel jimenez 76",
                "city": "SANTIAGO",
                "country": "CHL",
                "participation": 100,
                "issuing_country": "CHL"
            }
        ]
    }
}'
Response Response Example
Success
{
    "external_id": "YOUR_REMITTER_ID",
    "analyzed_at": 1768920489090,
    "crypto": null,
    "customer_documents": [],
    "entity_type": "PERSON",
    "legal_person": null,
    "natural_person": {
        "full_name": "JOHN DOE",
        "nationality": "USA",
        "document_type": "ID-CARD",
        "document_number": "123456789"
    },
    "registered_in": 1768920400204,
    "id": "696f955022c4dfa1de6fc0a0"
}
Modified atΒ 2026-02-06 00:13:03
Previous
List Cryptocurrencies
Next
Register Beneficiary
Built with